summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2003-11-15 21:25:03 +0000
committerAndrew Tridgell <tridge@samba.org>2003-11-15 21:25:03 +0000
commit6a991bb9b027e64e27f7a661b236b4ad70daeeda (patch)
tree53094c72835fea8d3019261248925fac48756336 /source4/script
parent5bd51a1d5d88459eca341d252f156fcf32bdc222 (diff)
downloadsamba-6a991bb9b027e64e27f7a661b236b4ad70daeeda.tar.gz
samba-6a991bb9b027e64e27f7a661b236b4ad70daeeda.tar.bz2
samba-6a991bb9b027e64e27f7a661b236b4ad70daeeda.zip
simple method for auto-building rpc files if idl changes, and
auto-building proto.h if it doesn't exist. This should make life a little easier for developers (This used to be commit ab5939e79600841c5e7e31e9da8742bf2da4a184)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/build_idl.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index 24f18be2ef..cb81e4de74 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -1,10 +1,14 @@
-#!/bin/bash
+#!/bin/sh
+
+FULLBUILD=$1
for f in librpc/idl/*.idl; do
- echo Processing $f
base=`basename $f .idl`
ndr=librpc/ndr/ndr_$base
- pidl.pl --output $ndr --parse --header --parser --client librpc/rpc/rpc_$base.c $f || exit 1
+ if [ x$FULLBUILD = xFULL -o "$f" -nt $ndr.c ]; then
+ echo Processing $f
+ pidl.pl --output $ndr --parse --header --parser --client librpc/rpc/rpc_$base.c $f || exit 1
+ fi
done
exit 0